Subject: RE: Multiple Extension Elements for Command/Response in EPP

From: "Liu, Hong" <[email-masked]>
Date: Fri, 19 Jul 2002 10:03:04 -0400

Scott,

Thanks for the explanation. That will work for me, -:)

--Hong

-----Original Message-----
From: Hollenbeck, Scott [mailto:[email-masked]]
Sent: Thursday, July 18, 2002 6:48 PM
To: Liu, Hong; [email-masked]
Subject: Re: Multiple Extension Elements for Command/Response in EPP

Hong,

I don't think what you're asking for is needed because the current syntax
permits multiple extensions within a single <extension> element.  Here's the
types involved:

<complexType name="commandType">
  <sequence>
...
    <element name="extension" type="epp:extAnyType"
     minOccurs="0"/>
...
  </sequence>
</complexType>

<complexType name="extAnyType">
  <sequence>
    <any namespace="##other"
     maxOccurs="unbounded"/>
  </sequence>
</complexType>

See the 'maxOccurs="unbounded"' attribute in the definition of extAnyType?

-Scott-

----- Original Message -----
From: "Liu, Hong" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, July 18, 2002 5:24 PM
Subject: Multiple Extension Elements for Command/Response in EPP

> Scott,
>
> I would like to request a small change in epp-1.0.xsd to allow multiple
> <extension> elements at the command and response level. Specifically, the
> changes are:
>
> (1) On page 56 of EPP-06 under the <commandType> definition, add attribute
> "maxOccurs=unbounded" to the <extension> element.
> (2) On page 59 of EPP-06 under the <responseType> definition, add
attribute
> "maxOccurs=unbounded" to the <extension> element.
>
> This change is based on the experiences gained through our recent EPP
> extension work (usTLD, EPP PUSH, etc...). At present, at most one
> <extension> is allowed. If I have two independent extensions for an object
> type, say domain, then I cannot list them independently in the command and
> response. Allowing multiple <extension> elements can solve the problem.
>
> Thanks!
>
> --Hong
>